/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import java.util.Objects;
import java.util.Arrays;
import java.util.Map;
import java.util.HashMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


/**
 * PrivatePublicKeyInfo
 */
@JsonPropertyOrder({
  PrivatePublicKeyInfo.JSON_PROPERTY_PPK_ID,
  PrivatePublicKeyInfo.JSON_PROPERTY_VERBOSE_NAME
})
@javax.annotation.processing.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen")
public class PrivatePublicKeyInfo {
  public static final String JSON_PROPERTY_PPK_ID = "ppkId";
  private String ppkId;

  public static final String JSON_PROPERTY_VERBOSE_NAME = "verboseName";
  private String verboseName;


  public PrivatePublicKeyInfo ppkId(String ppkId) {
    this.ppkId = ppkId;
    return this;
  }

   /**
   * Get ppkId
   * @return ppkId
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_PPK_ID)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getPpkId() {
    return ppkId;
  }


  @JsonProperty(JSON_PROPERTY_PPK_ID)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setPpkId(String ppkId) {
    this.ppkId = ppkId;
  }


  public PrivatePublicKeyInfo verboseName(String verboseName) {
    this.verboseName = verboseName;
    return this;
  }

   /**
   * Get verboseName
   * @return verboseName
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_VERBOSE_NAME)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public String getVerboseName() {
    return verboseName;
  }


  @JsonProperty(JSON_PROPERTY_VERBOSE_NAME)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setVerboseName(String verboseName) {
    this.verboseName = verboseName;
  }


  /**
   * Return true if this PrivatePublicKeyInfo object is equal to o.
   */
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PrivatePublicKeyInfo privatePublicKeyInfo = (PrivatePublicKeyInfo) o;
    return Objects.equals(this.ppkId, privatePublicKeyInfo.ppkId) &&
        Objects.equals(this.verboseName, privatePublicKeyInfo.verboseName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ppkId, verboseName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PrivatePublicKeyInfo {\n");
    sb.append("    ppkId: ").append(toIndentedString(ppkId)).append("\n");
    sb.append("    verboseName: ").append(toIndentedString(verboseName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

